clear

******** Rats data set *************

infile weight8 weight15 weight22 weight29 weight36 using c:\ann\hw\multilevel\lab3\rats.txt
gen id = _n

***** reshape to long format *****
reshape long weight, i(id) j(day)

***** fit the fixed effect model and the random effect model*****
xtreg weight day, i(id) fe
xtreg weight day, i(id) mle nolog


clear

******** Seeds data set. ********
******** The four columns correspond to plate id, germination status (1,germinated, 0, not), x1 (seed), and x2 (root extracts), respectively. ***********
******** See Winbugs help for details of the four variables **********

infile id germinate x1 x2 using c:\ann\hw\multilevel\lab3\seeds.raw
gen x1x2 = x1*x2

******** logistic regression, taking the cluster into account *********
logit germinate x1 x2 x1x2, cluster(id) nolog

******** random-effect model ********
xtlogit germinate x1 x2 x1x2, re i(id) nolog
